MODBUS_WRITE_BITS(3)

NAME
modbus_write_bits - write many bits

SYNOPSIS

int modbus_write_bits(modbus_t *ctx, int addr, int nb, const uint8_t *src);

DESCRIPTION

The modbus_write_bits() function shall write the status of the nb bits (coils) from src at the address addr of the remote device. The src array must contains bytes set to TRUE or FALSE.

The function uses the Modbus function code 0x0F (force multiple coils).

RETURN VALUE

The modbus_write_bits() function shall return the number of written bits if successful. Otherwise it shall return -1 and set errno.

ERRORS

EMBMDATA
    Writing too many bits

SEE ALSO

modbus_read_bits(3) modbus_write_bit(3)

AUTHORS

The libmodbus documentation was written by Stéphane Raimbault <stephane.raimbault@gmail.com[1]>

NOTES

1.  stephane.raimbault@gmail.com
    mailto:stephane.raimbault@gmail.com